Class ResolutionStepController
java.lang.Object
org.apache.clusterbr.zupportl5.controller.ResolutionStepController
@RestController
@RequestMapping("/api/resolution-steps")
public class ResolutionStepController
extends Object
REST-API Endpoints --
- GET /api/resolution-steps/{id}: Returns data from the API
- PUT /api/resolution-steps/{id}: Updates an entry by ID
- DELETE /api/resolution-steps/{id}: Deletes an entry by ID
UML Diagrams:




- Since:
- 2024-1108
- Author:
- arcbrth@gmail.com
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionorg.springframework.http.ResponseEntity<Void>deleteById(Integer id) getAll()org.springframework.http.ResponseEntity<ResolutionStep>org.springframework.http.ResponseEntity<ResolutionStep>save(ResolutionStep item) org.springframework.http.ResponseEntity<ResolutionStep>update(Integer id, ResolutionStep item)
-
Constructor Details
-
ResolutionStepController
-
-
Method Details
-
getAll
-
getById
@GetMapping("/{id}") public org.springframework.http.ResponseEntity<ResolutionStep> getById(@PathVariable Integer id) -
save
@PostMapping public org.springframework.http.ResponseEntity<ResolutionStep> save(@RequestBody ResolutionStep item) -
update
@PutMapping("/{id}") public org.springframework.http.ResponseEntity<ResolutionStep> update(@PathVariable Integer id, @RequestBody ResolutionStep item) -
deleteById
-